Index: codes/icosagcm/branches/SATURN_DYNAMICO/ICOSAGCM/arch/arch-X64_ADA.fcm
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/ICOSAGCM/arch/arch-X64_ADA.fcm	(revision 269)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/ICOSAGCM/arch/arch-X64_ADA.fcm	(revision 270)
@@ -11,5 +11,5 @@
 %DEBUG_FFLAGS        -g -traceback -check bounds -fp-model strict
 %MPI_FFLAGS
-%OMP_FFLAGS          -openmp
+%OMP_FFLAGS          -openmp -openmp-threadprivate compat
 %BASE_LD             -i4 -r8 -auto ${MKL_LIBS} -L/smplocal/pub/FFTW/3.3.3_dyn/lib -lfftw3 -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread -Wl,-rpath=/smplocal/pub/NetCDF/4.1.3/mpi/lib:/smplocal/pub/HDF5/1.8.9/par/lib:/smplocal/pub/FFTW/3.3.3_dyn/lib -L../../LMDZ.COMMON/lib -llmdz 
 %MPI_LD
Index: codes/icosagcm/branches/SATURN_DYNAMICO/ICOSAGCM/compile_dynlmdz_ada
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/ICOSAGCM/compile_dynlmdz_ada	(revision 269)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/ICOSAGCM/compile_dynlmdz_ada	(revision 270)
@@ -1,5 +1,5 @@
 cd ../LMDZ.COMMON
-rm -rf libo
-./makelmdz_fcm -s 1 -d 128x96x64 -b 20x30 -io none -arch X64_ADA -parallel mpi -p std -j 8 gcm
+#rm -rf libo
+./makelmdz_fcm -s 1 -d 32x24x64 -b 20x30 -io none -arch X64_ADA -parallel mpi -p std -j 8 -full gcm
 cd ../ICOSAGCM
 rm bin/icosa_gcm.exe
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iostart.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iostart.F90	(revision 269)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iostart.F90	(revision 270)
@@ -44,9 +44,10 @@
 CONTAINS
 
-  SUBROUTINE open_startphy(filename)
+  SUBROUTINE open_startphy(filename,found)
   USE netcdf, only: NF90_OPEN, NF90_NOERR, NF90_NOWRITE, nf90_strerror
   USE mod_phys_lmdz_para, only: is_master, bcast
   IMPLICIT NONE
-    CHARACTER(LEN=*) :: filename
+    CHARACTER(LEN=*),INTENT(IN) :: filename
+    LOGICAL,INTENT(OUT),OPTIONAL   :: found 
     INTEGER          :: ierr
 
@@ -56,9 +57,13 @@
         write(*,*)'open_startphy: problem opening file '//trim(filename)
         write(*,*)trim(nf90_strerror(ierr))
-        CALL ABORT
+        !CALL ABORT
+        found=.false.
+      ELSE
+        found=.true.
       ENDIF
     ENDIF
     
     CALL bcast(nid_start) ! tell all procs about nid_start
+    if(present(found)) CALL bcast(found)
   
   END SUBROUTINE open_startphy
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/phyetat0_academic.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/phyetat0_academic.F90	(revision 269)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/phyetat0_academic.F90	(revision 270)
@@ -83,5 +83,5 @@
       
       INTEGER :: indextime=1 ! index of selected time, default value=1
-      logical :: found
+      logical :: found,found_file
 
 !
@@ -98,13 +98,18 @@
 
 ! open physics initial state file:
-call open_startphy(fichnom)
-
-
-! possibility to modify tab_cntrl in tabfi
-write(*,*)
-write(*,*) 'TABFI in phyeta0: Lmodif=',Lmodif," tab0=",tab0
-call tabfi (ngrid,nid_start,Lmodif,tab0,day_ini,lmax,p_rad, &
+call open_startphy(fichnom,found_file)
+
+! Ehouarn, if file not found, then call tabfi with nid_start==0
+if (.not.found_file) then
+  write(*,*) 'phyetat0_academic: call tabfi with nid_start=0'
+  call tabfi (ngrid,0,Lmodif,tab0,day_ini,lmax,p_rad, &
                    p_omeg,p_g,p_cpp,p_mugaz,p_daysec,time)
-
+else
+  ! possibility to modify tab_cntrl in tabfi
+  write(*,*)
+  write(*,*) 'TABFI in phyeta0: Lmodif=',Lmodif," tab0=",tab0
+  call tabfi (ngrid,nid_start,Lmodif,tab0,day_ini,lmax,p_rad, &
+                   p_omeg,p_g,p_cpp,p_mugaz,p_daysec,time)
+endif
 !c
 !c Lecture des latitudes (coordonnees):
@@ -165,5 +170,9 @@
 
 ! Load surface geopotential:
-call get_field("phisfi",phisfi,found)
+if (found_file) then
+  call get_field("phisfi",phisfi,found)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <phisfi>"
@@ -175,5 +184,9 @@
 
 ! Load bare ground albedo:
-call get_field("albedodat",albedodat,found)
+if (found_file) then
+  call get_field("albedodat",albedodat,found)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <albedodat>"
@@ -187,5 +200,9 @@
 
 ! ZMEA
-call get_field("ZMEA",zmea,found)
+if (found_file) then
+  call get_field("ZMEA",zmea,found)
+else
+  found=.false.
+endif
 if (.not.found) then
     zmea(:)=0.
@@ -196,5 +213,9 @@
 
 ! ZSTD
-call get_field("ZSTD",zstd,found)
+if (found_file) then
+  call get_field("ZSTD",zstd,found)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <ZSTD>"
@@ -206,5 +227,9 @@
 
 ! ZSIG
-call get_field("ZSIG",zsig,found)
+if (found_file) then
+  call get_field("ZSIG",zsig,found)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <ZSIG>"
@@ -216,5 +241,9 @@
 
 ! ZGAM
-call get_field("ZGAM",zgam,found)
+if (found_file) then
+  call get_field("ZGAM",zgam,found)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <ZGAM>"
@@ -226,5 +255,9 @@
 
 ! ZTHE
-call get_field("ZTHE",zthe,found)
+if (found_file) then
+  call get_field("ZTHE",zthe,found)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <ZTHE>"
@@ -236,9 +269,12 @@
 
 ! Surface temperature :
-call get_field("tsurf",tsurf,found,indextime)
-if (.not.found) then
-  write(*,*) "phyetat0: Failed loading <tsurf>"
-!mi initialising tsurf with pt(:,1) 
-!tsurf(:)=175.0
+if (found_file) then
+  call get_field("tsurf",tsurf,found,indextime)
+else
+  found=.false.
+endif
+if (.not.found) then
+  !mi initialising tsurf with pt(:,1)
+  !tsurf(:)=175.0
 else
   write(*,*) "phyetat0: Surface temperature <tsurf> range:", &
@@ -247,5 +283,9 @@
 
 ! Surface emissivity
-call get_field("emis",emis,found,indextime)
+if (found_file) then
+  call get_field("emis",emis,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <emis>"
@@ -257,5 +297,9 @@
 
 ! Cloud fraction (added by BC 2010)
-call get_field("cloudfrac",cloudfrac,found,indextime)
+if (found_file) then
+  call get_field("cloudfrac",cloudfrac,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <cloudfrac>"
@@ -267,5 +311,9 @@
 
 ! Total cloud fraction (added by BC 2010)
-call get_field("totcloudfrac",totcloudfrac,found,indextime)
+if (found_file) then
+  call get_field("totcloudfrac",totcloudfrac,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <totcloudfrac>"
@@ -277,5 +325,9 @@
 
 ! Height of oceanic ice (added by BC 2010)
-call get_field("hice",hice,found,indextime)
+if (found_file) then
+  call get_field("hice",hice,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <hice>"
@@ -291,5 +343,9 @@
 ! SLAB OCEAN (added by BC 2014)
 ! nature of the surface
-call get_field("rnat",rnat,found,indextime)
+if (found_file) then
+  call get_field("rnat",rnat,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <rnat>"
@@ -310,5 +366,9 @@
 endif
 ! Pourcentage of sea ice cover
-call get_field("pctsrf_sic",pctsrf_sic,found,indextime)
+if (found_file) then
+  call get_field("pctsrf_sic",pctsrf_sic,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <pctsrf_sic>"
@@ -321,5 +381,9 @@
 endif
 ! Slab ocean temperature (2 layers)
-call get_field("tslab",tslab,found,indextime)
+if (found_file) then
+  call get_field("tslab",tslab,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <tslab>"
@@ -334,5 +398,9 @@
 endif
 ! Oceanic ice temperature
-call get_field("tsea_ice",tsea_ice,found,indextime)
+if (found_file) then
+  call get_field("tsea_ice",tsea_ice,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <tsea_ice>"
@@ -345,5 +413,9 @@
 endif
 !  Oceanic ice quantity (kg/m^2)
-call get_field("sea_ice",sea_ice,found,indextime)
+if (found_file) then
+  call get_field("sea_ice",sea_ice,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <sea_ice>"
@@ -360,5 +432,9 @@
 
 ! pbl wind variance
-call get_field("q2",q2,found,indextime)
+if (found_file) then
+  call get_field("q2",q2,found,indextime)
+else
+  found=.false.
+endif
 if (.not.found) then
   write(*,*) "phyetat0: Failed loading <q2>"
@@ -380,5 +456,9 @@
                            ' h2o_ice instead of h2o_vap'
     endif
-    call get_field(txt,qsurf(:,iq),found,indextime)
+    if (found_file) then
+      call get_field(txt,qsurf(:,iq),found,indextime)
+    else
+      found=.false.
+    endif
     if (.not.found) then
       write(*,*) "phyetat0: Failed loading <",trim(txt),">"
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/physiq.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/physiq.F90	(revision 269)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/physiq.F90	(revision 270)
@@ -569,4 +569,5 @@
 !ym               rnat,pctsrf_sic,tslab, tsea_ice,sea_ice)
 
+         write(*,*) "physiq: firstcall, call phyetat0_academic"
          call phyetat0_academic(ngrid,nlayer,"startfi.nc",0,0,nsoilmx,nq,   &
                day_ini,time_phys,tsurf,tsoil,emis,q2,qsurf,   &
@@ -575,4 +576,5 @@
 
 !mi initialising tsurf with pt
+         write(*,*) "Physiq: initializing tsurf(:) to pt(:,1) !!"
          tsurf(:)=pt(:,1)
 
@@ -744,7 +746,8 @@
 
          if (ngrid.ne.1) then ! no need to create a restart file in 1d
-           call physdem0("restartfi.nc",long,lati,nsoilmx,ngrid,nlayer,nq, &
-                         ptimestep,pday+nday,time_phys,area, &
-                         albedodat,inertiedat,zmea,zstd,zsig,zgam,zthe)
+! EM: No restart file (for now).
+!           call physdem0("restartfi.nc",long,lati,nsoilmx,ngrid,nlayer,nq, &
+!                         ptimestep,pday+nday,time_phys,area, &
+!                         albedodat,inertiedat,zmea,zstd,zsig,zgam,zthe)
          endif
          
@@ -1972,9 +1975,11 @@
 !                    cloudfrac,totcloudfrac,hice,noms)
 !#endif
-              call physdem1("restartfi.nc",nsoilmx,ngrid,nlayer,nq, &
-                      ptimestep,ztime_fin, &
-                      tsurf,tsoil,emis,q2,qsurf_hist, &
-                      cloudfrac,totcloudfrac,hice, &
-                      rnat,pctsrf_sic,tslab,tsea_ice,sea_ice)
+
+! EM: do not write a restart file (for now).
+!              call physdem1("restartfi.nc",nsoilmx,ngrid,nlayer,nq, &
+!                      ptimestep,ztime_fin, &
+!                      tsurf,tsoil,emis,q2,qsurf_hist, &
+!                      cloudfrac,totcloudfrac,hice, &
+!                      rnat,pctsrf_sic,tslab,tsea_ice,sea_ice)
             endif
 
@@ -2239,4 +2244,14 @@
       CALL write_xios_field("ASR",fluxabs_sw)
       CALL write_xios_field("OLR",fluxtop_lw)
+      call write_xios_field("input_temp",pt)
+      call write_xios_field("input_u",pu)
+      call write_xios_field("input_v",pv)
+      call write_xios_field("dtrad",dtrad)
+      call write_xios_field("zdtlw",zdtlw)
+      call write_xios_field("zdtsw",zdtsw)
+      call write_xios_field("zdtdyn",zdtdyn/ptimestep)
+      call write_xios_field("zdtdif",zdtdif)
+      call write_xios_field("zdtadj",zdtadj)
+      call write_xios_field("pdt",pdt)
       IF (lastcall) CALL finalize_xios_output
       
@@ -2344,4 +2359,5 @@
       endif
 
+      write(*,*) "physiq: done, zday=",zday
       return
     end subroutine physiq
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/tabfi.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/tabfi.F	(revision 269)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/tabfi.F	(revision 270)
@@ -44,5 +44,5 @@
 c=======================================================================
 ! to use  'getin'
-      use ioipsl_getincom , only: getin
+      use ioipsl_getincom_p , only: getin_p
 
       use surfdat_h, only: albedice, emisice, iceradius, dtemisice,
@@ -88,4 +88,61 @@
 c  Initialization of various physical constants to defaut values (nid = 0 case)
 c-----------------------------------------------------------------------
+        ! Ehouarn: Default Saturn values:
+        tab_cntrl(:)=0
+        write(*,*) "Using default Saturn values..."
+        ! these should be read in a def file I guess...
+        lmax=0 ! not used anyways
+        !day_ini=0
+        time=0
+        ! radius of the planet
+        rad=60268000
+        call getin_p("radius",rad)
+        ! Planetary rotation rate
+        omeg=0.00016512100410182
+        call getin_p("omega",omeg)
+        ! Gravity
+        g=10.44
+        call getin_p("g",g)
+        !mugaz=2.34 !EM: does not give cpp=11500
+        mugaz=2.53 ! with this value of mugaz, cpp=11500
+        call getin_p("mugaz",mugaz)
+        ! kappa
+        rcp=0.2857143
+        call getin_p("kappa",rcp)
+        cpp=(8.314511/(mugaz/1000.0))/rcp
+        call getin_p("cpp",cpp)
+!        write(*,*) "tabfi: cpp=",cpp
+        ! length (s) of a "standard" day
+        daysec=38052
+        call getin_p("day_length",daysec)
+        ! physics time step (s) ! not sure we need this here
+        dtphys=19026
+        ! length of year, in standard days
+        year_day=24430
+        ! Orbital parameters
+        periastr=9.02151966094971
+        apoastr=10.054479598999
+        peri_day=19280
+        obliquit=26.7299995422363
+        ! Other parameters some physical parÃ©ametrizations need
+        z0=1e-2
+        lmixmin=30
+        emin_turb=1.e-6
+        albedice(:)=0
+        emisice(:)=0
+        emissiv=0
+        iceradius(:)=1.e-6
+        dtemisice(:)=0
+        volcapa=1000000
+c-----------------------------------------------------------------------
+c	Save some constants for later use (as routine arguments)
+c-----------------------------------------------------------------------
+        p_omeg = omeg
+        p_g = g
+        p_cpp = cpp
+        p_mugaz = mugaz
+        p_daysec = daysec
+        p_rad=rad
+
       ELSE
 c-----------------------------------------------------------------------
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/xios_output.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/xios_output.F90	(revision 269)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/xios_output.F90	(revision 270)
@@ -20,4 +20,5 @@
   USE mod_phys_lmdz_para
   USE mod_grid_phy_lmdz
+  USE planete_mod, ONLY: ap,bp,preff
   
   IMPLICIT NONE
@@ -33,4 +34,5 @@
     REAL :: bounds_lat_mpi(klon_mpi,nvertex)
     INTEGER :: l
+    REAL :: presnivs(klev)
 
     CALL gather_omp(rlond,lon_mpi)
@@ -45,8 +47,12 @@
     CALL xios_set_current_context(ctx_hdl)
    
-    lev_value(:) = (/ (l,l=1,klev) /)     
+!    lev_value(:) = (/ (l,l=1,klev) /)     
+!    CALL xios_set_axis_attr("altitude",size=klev ,value=lev_value)
     
-    CALL xios_set_axis_attr("altitude",size=klev ,value=lev_value)
-    
+    ! build presnivs "pseudo-pressure" at mid-layers
+    DO l=1,klev
+      presnivs(l)=0.5*(ap(l)+bp(l)*preff+ap(l+1)+bp(l+1)*preff)
+    ENDDO
+    CALL xios_set_axis_attr("presnivs",size=klev,value=presnivs,unit="Pa",positive="down")
   
     CALL xios_set_domain_attr("horiz_domain",ni_glo=klon_glo, ibegin=klon_mpi_begin, ni=klon_mpi)
Index: codes/icosagcm/branches/SATURN_DYNAMICO/TEST/lmdz_physics.xml
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/TEST/lmdz_physics.xml	(revision 269)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/TEST/lmdz_physics.xml	(revision 270)
@@ -13,9 +13,19 @@
      <field id="OLR"    long_name="outgoing longwave rad."      unit="W m-2"/>
      
-     <field_group axis_ref="altitude">
+     <field_group axis_ref="presnivs">
        <field id="temp" long_name="temperature"                 unit="K"/>
        <field id="u"    long_name="Zonal wind"                  unit="m.s-1"/>
        <field id="v"    long_name="Meridional wind"             unit="m.s-1"/>
        <field id="p"    long_name="Pressure"                    unit="Pa"/>
+       <field id="input_temp" long_name="Input temperature"  unit="K"/>
+       <field id="input_u" long_name="Input zonal wind"  unit="m/s"/>
+       <field id="input_v" long_name="Input meridional wind"  unit="m/s"/>
+       <field id="dtrad" long_name="Total radiative tendency" unit="K/s"/>
+       <field id="zdtlw" long_name="LW radiative tendency" unit="K/s"/>
+       <field id="zdtsw" long_name="SW radiative tendency" unit="K/s"/>
+       <field id="zdtdyn" long_name="Dyn temperature tendency" unit="K/s"/>
+       <field id="zdtdif" long_name="Turbulent diffusion tendency" unit="K/s"/>
+       <field id="zdtadj" long_name="Convective adjustement tendency" unit="K/s"/>
+       <field id="pdt" long_name="Total temperature tendency" unit="K/s"/>
      </field_group> 
      
@@ -23,5 +33,5 @@
     
     
-   <file_definition type="one_file" par_access="collective" output_freq="10ts" sync_freq="10ts" output_level="10" enabled=".TRUE.">
+   <file_definition type="one_file" par_access="collective" output_freq="1ts" sync_freq="1ts" output_level="10" enabled=".TRUE.">
 
      <file id="xios_diagfi" name="xios_diagfi" > 
@@ -34,6 +44,9 @@
     
     
+<!--   <axis_definition>
+     <axis id="altitude"/>
+   </axis_definition> -->
    <axis_definition>
-     <axis id="altitude"/>
+     <axis id="presnivs"/>
    </axis_definition>
     
Index: codes/icosagcm/branches/SATURN_DYNAMICO/TEST/run_icosa.def
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/TEST/run_icosa.def	(revision 269)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/TEST/run_icosa.def	(revision 270)
@@ -9,5 +9,5 @@
 
 # Number of subdivision on a main triangle (nbp) : integer (default=40)
-nbp=40
+nbp=10
 
 # nbp                 20  40  80 160
@@ -48,5 +48,5 @@
 itau_adv=3
 
-# number of timestep (default 100)
+# number of timestep (default 100) (ignored if run_length is set)
  itaumax = 100
 
@@ -55,6 +55,14 @@
 #run_length=0
 #run_length=432000
-# one saturn year
-run_length=929610360
+# one saturn year (24430 days)
+#run_length=929610360
+# 5 saturn day (5*38052=190260)
+#run_length=190260
+# 1 saturn day
+run_length=38052
+# 100 saturn days
+#run_length=3805200
+# 2000 saturn days
+#run_length=76104000
 
 #activate IO (default = true)
@@ -79,6 +87,19 @@
 # etat0 : initial state : string (default=jablonowsky06) : 
 # jablonowsky06, academic, ncar
-etat0=isothermal
-etat0_isothermal_temp=175
+#etat0=isothermal
+#etat0_isothermal_temp=175
+
+etat0=temperature_profile
+# for 'etat0=temperature_profile"
+# initial temperature profile provided in file 
+temperature_profile_file=temp_profile.txt
+
+#etat0=start_file
+# for 'etat0=start_file"
+# start file name (default is start.nc)
+# start_file_name=start
+# restart file name (default is restart.nc)
+#restart_file_name=restart
+
 # ------------------------------ Dynamics --------------------------------
 
Index: codes/icosagcm/branches/SATURN_DYNAMICO/TEST/temp_profile.txt
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/TEST/temp_profile.txt	(revision 270)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/TEST/temp_profile.txt	(revision 270)
@@ -0,0 +1,65 @@
+   180.5122    
+   177.5303    
+   172.5236    
+   165.1582    
+   156.1269    
+   146.4218    
+   136.4893    
+   126.7463    
+   117.6988    
+   109.2971    
+   102.0551    
+   97.27358    
+   93.95081    
+   91.58179    
+   90.15606    
+   87.94461    
+   86.97855    
+   86.65101    
+   87.06585    
+   88.10496    
+   89.85399    
+   92.09840    
+   95.29904    
+   99.25130    
+   104.1458    
+   109.9501    
+   115.8588    
+   121.2045    
+   125.6546    
+   129.0704    
+   131.5621    
+   133.4809    
+   134.8408    
+   135.8592    
+   136.5815    
+   137.1101    
+   137.5010    
+   137.7995    
+   137.9034    
+   137.7959    
+   137.5721    
+   137.2435    
+   136.8884    
+   136.4881    
+   136.0502    
+   135.5753    
+   135.0576    
+   134.5228    
+   134.0019    
+   133.5078    
+   133.0353    
+   132.5783    
+   132.1091    
+   131.5927    
+   131.0028    
+   130.3337    
+   129.6037    
+   128.8021    
+   127.9444    
+   127.0695    
+   126.2124    
+   125.4238    
+   124.3787    
+   125.5259    
+