Index: codes/icosagcm/trunk/param_sets/climate/Held_Suarez/run.def
===================================================================
--- codes/icosagcm/trunk/param_sets/climate/Held_Suarez/run.def	(revision 283)
+++ codes/icosagcm/trunk/param_sets/climate/Held_Suarez/run.def	(revision 284)
@@ -67,5 +67,5 @@
 
 # Initial state : 
-#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear|dcmip3] (default=jablonowsky06)
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
 etat0 = held_suarez
 
@@ -74,5 +74,5 @@
 
 # Dissipation time for grad(div) : real (default=5000)
-tau_graddiv = 50000
+tau_graddiv = 18000
 
 # Exponent of grad(div) disspation : integer (default=1)
@@ -80,5 +80,5 @@
 
 # Dissipation time for curl(curl) : real (default=5000)
-tau_gradrot = 50000
+tau_gradrot = 18000
 
 # Exponent of curl(curl) disspation : integer (default=1)
@@ -86,5 +86,5 @@
 
 # Dissipation time for div(grad) : real (default=5000)
-tau_divgrad = 50000
+tau_divgrad = 18000
 
 # Exponent of div(grad) disspation : integer (default=1)
Index: codes/icosagcm/trunk/param_sets/dcmip2012/const.def
===================================================================
--- codes/icosagcm/trunk/param_sets/dcmip2012/const.def	(revision 284)
+++ codes/icosagcm/trunk/param_sets/dcmip2012/const.def	(revision 284)
@@ -0,0 +1,33 @@
+
+#---------------- Planet ----------------
+
+# Planetary radius : real (default=6371220)
+radius = 6.37122e6
+
+# Gravity : real (default=9.80616)
+g = 9.80616
+
+# kappa=Rd/cpp : real (default=0.2857143)
+kappa = 0.2857143
+
+# Heat capacity at constant pressure : real (default=1004.70885)
+cpp = 1004.5
+
+# Reference pressure : real (default=101325)
+preff = 1e5
+
+# Planetary rotation rate : real (default=7.292E-5)
+omega = 7.292e-5
+
+
+#---------------- Constants ----------------
+
+# Reference temperature T0 for DCMIP test cases : real (default=300)
+ncar_T0 = 300
+
+# Reference pressure p0 for DCMIP test cases, used by disvert if disver=ncar : real (default=1e5)
+ncar_p0 = 1e5
+
+# Exponent for B(eta), used by disvert if disvert=ncar : integer (default=1)
+ncar_disvert_c = 1
+
Index: codes/icosagcm/trunk/param_sets/dcmip2012/run11.def
===================================================================
--- codes/icosagcm/trunk/param_sets/dcmip2012/run11.def	(revision 284)
+++ codes/icosagcm/trunk/param_sets/dcmip2012/run11.def	(revision 284)
@@ -0,0 +1,93 @@
+
+#---------------- Planet ----------------
+
+# Planetary radius : real (default=6371220)
+radius = 6.37122e6
+
+# Gravity : real (default=9.80616)
+g = 9.80616
+
+# kappa=Rd/cpp : real (default=0.2857143)
+kappa = 0.2857143
+
+# Heat capacity at constant pressure : real (default=1004.70885)
+cpp = 1004.5
+
+# Reference pressure : real (default=101325)
+preff = 1e5
+
+# Planetary rotation rate : real (default=7.292E-5)
+omega = 0
+
+
+#---------------- Constants ----------------
+
+# Reference temperature T0 for DCMIP test cases : real (default=300)
+ncar_T0 = 300
+
+# Reference pressure p0 for DCMIP test cases, used by disvert if disver=ncar : real (default=1e5)
+ncar_p0 = 1e5
+
+# Exponent for B(eta), used by disvert if disvert=ncar : integer (default=1)
+ncar_disvert_c = 1
+
+
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 80
+
+# Number of vertical layers : integer (default=19)
+llm = 60
+
+# Vertical grid : [std|ncar|ncarl30] (default=std)
+disvert = ncar
+
+# Model layer thickness in m, used if disvert=ncar : real (default=300)
+ncar_dz = 200
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 100
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 2
+nsplit_j = 2
+
+
+#---------------- Numerics ----------------
+
+# Equations solved : [gcm|adv] (default=gcm)
+caldyn = adv
+
+# Time step in s : real (default=480)
+dt = 180
+
+
+#---------------- Time ----------------
+
+# Run length in s : real (default=??)
+run_length = 1036800
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 86400
+
+
+#---------------- Physical parameters ----------------
+
+# Number of tracers : integer (default=1)
+nqtot = 5
+
+# Type of guiding terms : [none|dcmip1] (default=none)
+guided_type = dcmip1
+
+# Initial state : 
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = dcmip1
+
+# DCMIP 1.1 advection test, initial tracer field : 
+#    [const|slotted_cyl|cos_bell|dbl_cos_bell_q1|dbl_cos_bell_q2|complement|hadley|dcmip11] (default=cos_bell)
+dcmip1_shape = dcmip11
+
+# DCMIP 1.1 advection test, wind field : [solid|deform|hadley] (default=deform)
+dcmip1_wind = deform
+
Index: codes/icosagcm/trunk/param_sets/dcmip2012/run20.def
===================================================================
--- codes/icosagcm/trunk/param_sets/dcmip2012/run20.def	(revision 284)
+++ codes/icosagcm/trunk/param_sets/dcmip2012/run20.def	(revision 284)
@@ -0,0 +1,98 @@
+
+#---------------- Planet ----------------
+
+# Planetary radius : real (default=6371220)
+radius = 6.37122e6
+
+# Gravity : real (default=9.80616)
+g = 9.80616
+
+# kappa=Rd/cpp : real (default=0.2857143)
+kappa = 0.2857143
+
+# Heat capacity at constant pressure : real (default=1004.70885)
+cpp = 1004.5
+
+# Reference pressure : real (default=101325)
+preff = 1e5
+
+# Planetary rotation rate : real (default=7.292E-5)
+omega = 0
+
+
+#---------------- Constants ----------------
+
+# Reference temperature T0 for DCMIP test cases : real (default=300)
+ncar_T0 = 300
+
+# Reference pressure p0 for DCMIP test cases, used by disvert if disver=ncar : real (default=1e5)
+ncar_p0 = 1e5
+
+# Exponent for B(eta), used by disvert if disvert=ncar : integer (default=1)
+ncar_disvert_c = 1
+
+
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 64
+
+# Number of vertical layers : integer (default=19)
+llm = 15
+
+# Vertical grid : [std|ncar|ncarl30] (default=std)
+disvert = ncar
+
+# Model layer thickness in m, used if disvert=ncar : real (default=300)
+ncar_dz = 800
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 100
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 2
+nsplit_j = 2
+
+
+#---------------- Numerics ----------------
+
+# Time step in s : real (default=480)
+dt = 300
+
+# Dissipation time for grad(div) : real (default=5000)
+tau_graddiv = 10800
+
+# Exponent of grad(div) disspation : integer (default=1)
+nitergdiv = 2
+
+# Dissipation time for curl(curl) : real (default=5000)
+tau_gradrot = 10800
+
+# Exponent of curl(curl) disspation : integer (default=1)
+nitergrot = 2
+
+# Dissipation time for div(grad) : real (default=5000)
+tau_divgrad = 10800
+
+# Exponent of div(grad) disspation : integer (default=1)
+niterdivgrad = 2
+
+
+#---------------- Time ----------------
+
+# Run length in s : real (default=??)
+run_length = 518400
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 21600
+
+
+#---------------- Physical parameters ----------------
+
+# Scale factor for small planet experiment : real (default=1.)
+scale_factor = 1
+
+# Initial state : 
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = dcmip2_mountain
+
Index: codes/icosagcm/trunk/param_sets/dcmip2012/run21.def
===================================================================
--- codes/icosagcm/trunk/param_sets/dcmip2012/run21.def	(revision 284)
+++ codes/icosagcm/trunk/param_sets/dcmip2012/run21.def	(revision 284)
@@ -0,0 +1,104 @@
+
+#---------------- Planet ----------------
+
+# Planetary radius : real (default=6371220)
+radius = 6.37122e6
+
+# Gravity : real (default=9.80616)
+g = 9.80616
+
+# kappa=Rd/cpp : real (default=0.2857143)
+kappa = 0.2857143
+
+# Heat capacity at constant pressure : real (default=1004.70885)
+cpp = 1004.5
+
+# Reference pressure : real (default=101325)
+preff = 1e5
+
+# Planetary rotation rate : real (default=7.292E-5)
+omega = 0
+
+
+#---------------- Constants ----------------
+
+# Reference temperature T0 for DCMIP test cases : real (default=300)
+ncar_T0 = 300
+
+# Reference pressure p0 for DCMIP test cases, used by disvert if disver=ncar : real (default=1e5)
+ncar_p0 = 1e5
+
+# Exponent for B(eta), used by disvert if disvert=ncar : integer (default=1)
+ncar_disvert_c = 1
+
+
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 64
+
+# Number of vertical layers : integer (default=19)
+llm = 60
+
+# Vertical grid : [std|ncar|ncarl30] (default=std)
+disvert = ncar
+
+# Model layer thickness in m, used if disvert=ncar : real (default=300)
+ncar_dz = 500
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 100
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 2
+nsplit_j = 2
+
+
+#---------------- Numerics ----------------
+
+# Time step in s : real (default=480)
+dt = 300
+
+# Dissipation time for grad(div) : real (default=5000)
+tau_graddiv = 10800
+
+# Exponent of grad(div) disspation : integer (default=1)
+nitergdiv = 2
+
+# Dissipation time for curl(curl) : real (default=5000)
+tau_gradrot = 10800
+
+# Exponent of curl(curl) disspation : integer (default=1)
+nitergrot = 2
+
+# Dissipation time for div(grad) : real (default=5000)
+tau_divgrad = 10800
+
+# Exponent of div(grad) disspation : integer (default=1)
+niterdivgrad = 2
+
+
+#---------------- Time ----------------
+
+# Run length in s : real (default=??)
+run_length = 3.6e6
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 50000
+
+
+#---------------- Physical parameters ----------------
+
+# Scale factor for small planet experiment : real (default=1.)
+scale_factor = 500
+
+# Initial state : 
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = dcmip2_schaer_noshear
+
+# Relaxation time for Rayleigh friction : 0 (default=none)
+rayleigh_friction_tau = 12500
+
+# Type of Rayleigh friction : [none|dcmip21] (default=none)
+rayleigh_friction_type = dcmip2_schaer_noshear
+
Index: codes/icosagcm/trunk/param_sets/dcmip2012/run3.def
===================================================================
--- codes/icosagcm/trunk/param_sets/dcmip2012/run3.def	(revision 284)
+++ codes/icosagcm/trunk/param_sets/dcmip2012/run3.def	(revision 284)
@@ -0,0 +1,98 @@
+
+#---------------- Planet ----------------
+
+# Planetary radius : real (default=6371220)
+radius = 6.37122e6
+
+# Gravity : real (default=9.80616)
+g = 9.80616
+
+# kappa=Rd/cpp : real (default=0.2857143)
+kappa = 0.2857143
+
+# Heat capacity at constant pressure : real (default=1004.70885)
+cpp = 1004.5
+
+# Reference pressure : real (default=101325)
+preff = 1e5
+
+# Planetary rotation rate : real (default=7.292E-5)
+omega = 0
+
+
+#---------------- Constants ----------------
+
+# Reference temperature T0 for DCMIP test cases : real (default=300)
+ncar_T0 = 300
+
+# Reference pressure p0 for DCMIP test cases, used by disvert if disver=ncar : real (default=1e5)
+ncar_p0 = 1e5
+
+# Exponent for B(eta), used by disvert if disvert=ncar : integer (default=1)
+ncar_disvert_c = 1
+
+
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 80
+
+# Number of vertical layers : integer (default=19)
+llm = 10
+
+# Vertical grid : [std|ncar|ncarl30] (default=std)
+disvert = ncar
+
+# Model layer thickness in m, used if disvert=ncar : real (default=300)
+ncar_dz = 1000
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 100
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 2
+nsplit_j = 2
+
+
+#---------------- Numerics ----------------
+
+# Time step in s : real (default=480)
+dt = 240
+
+# Dissipation time for grad(div) : real (default=5000)
+tau_graddiv = 9000
+
+# Exponent of grad(div) disspation : integer (default=1)
+nitergdiv = 2
+
+# Dissipation time for curl(curl) : real (default=5000)
+tau_gradrot = 9000
+
+# Exponent of curl(curl) disspation : integer (default=1)
+nitergrot = 2
+
+# Dissipation time for div(grad) : real (default=5000)
+tau_divgrad = 9000
+
+# Exponent of div(grad) disspation : integer (default=1)
+niterdivgrad = 2
+
+
+#---------------- Time ----------------
+
+# Run length in s : real (default=??)
+run_length = 4.5e5
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 12500
+
+
+#---------------- Physical parameters ----------------
+
+# Scale factor for small planet experiment : real (default=1.)
+scale_factor = 125
+
+# Initial state : 
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = dcmip3
+
Index: codes/icosagcm/trunk/param_sets/dcmip2012/run41.def
===================================================================
--- codes/icosagcm/trunk/param_sets/dcmip2012/run41.def	(revision 284)
+++ codes/icosagcm/trunk/param_sets/dcmip2012/run41.def	(revision 284)
@@ -0,0 +1,66 @@
+INCLUDEDEF = const.def
+
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 80
+
+# Number of vertical layers : integer (default=19)
+llm = 30
+
+# Vertical grid : [std|ncar|ncarl30] (default=std)
+disvert = ncarl30
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 100
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 2
+nsplit_j = 2
+
+
+#---------------- Numerics ----------------
+
+# Time step in s : real (default=480)
+dt = 240
+
+# Dissipation time for grad(div) : real (default=5000)
+tau_graddiv = 9000
+
+# Exponent of grad(div) disspation : integer (default=1)
+nitergdiv = 2
+
+# Dissipation time for curl(curl) : real (default=5000)
+tau_gradrot = 9000
+
+# Exponent of curl(curl) disspation : integer (default=1)
+nitergrot = 2
+
+# Dissipation time for div(grad) : real (default=5000)
+tau_divgrad = 9000
+
+# Exponent of div(grad) disspation : integer (default=1)
+niterdivgrad = 2
+
+
+#---------------- Time ----------------
+
+# Run length in s : real (default=??)
+run_length = 3.6e6
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 21600
+
+
+#---------------- Physical parameters ----------------
+
+# Number of tracers : integer (default=1)
+nqtot = 2
+
+# Initial state : 
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = dcmip4
+
+# DCMIP 4 Test case : [1|2] (default=1)
+dcmip4_testcase = 1
+
Index: codes/icosagcm/trunk/param_sets/dcmip2012/run42.def
===================================================================
--- codes/icosagcm/trunk/param_sets/dcmip2012/run42.def	(revision 284)
+++ codes/icosagcm/trunk/param_sets/dcmip2012/run42.def	(revision 284)
@@ -0,0 +1,72 @@
+INCLUDEDEF = const.def
+
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 80
+
+# Number of vertical layers : integer (default=19)
+llm = 30
+
+# Vertical grid : [std|ncar|ncarl30] (default=std)
+disvert = ncarl30
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 100
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 2
+nsplit_j = 2
+
+
+#---------------- Numerics ----------------
+
+# Time step in s : real (default=480)
+dt = 240
+
+# Dissipation time for grad(div) : real (default=5000)
+tau_graddiv = 9000
+
+# Exponent of grad(div) disspation : integer (default=1)
+nitergdiv = 2
+
+# Dissipation time for curl(curl) : real (default=5000)
+tau_gradrot = 9000
+
+# Exponent of curl(curl) disspation : integer (default=1)
+nitergrot = 2
+
+# Dissipation time for div(grad) : real (default=5000)
+tau_divgrad = 9000
+
+# Exponent of div(grad) disspation : integer (default=1)
+niterdivgrad = 2
+
+
+#---------------- Time ----------------
+
+# Run length in s : real (default=??)
+run_length = 3.6e6
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 21600
+
+
+#---------------- Physical parameters ----------------
+
+# Number of tracers : integer (default=1)
+nqtot = 2
+
+# Initial state : 
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = dcmip4
+
+# DCMIP 4 Test case : [1|2] (default=1)
+dcmip4_testcase = 2
+
+# Physics package : [none|held_suarez|dcmip] (default=none)
+physics = dcmip
+
+# DCMIP physics : [0|1] (default=1)
+dcmip_physics = 1
+
Index: codes/icosagcm/trunk/param_sets/dcmip2012/run51.def
===================================================================
--- codes/icosagcm/trunk/param_sets/dcmip2012/run51.def	(revision 284)
+++ codes/icosagcm/trunk/param_sets/dcmip2012/run51.def	(revision 284)
@@ -0,0 +1,72 @@
+INCLUDEDEF = const.def
+
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 64
+
+# Number of vertical layers : integer (default=19)
+llm = 30
+
+# Vertical grid : [std|ncar|ncarl30] (default=std)
+disvert = ncarl30
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 1000
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 2
+nsplit_j = 2
+
+
+#---------------- Numerics ----------------
+
+# Time step in s : real (default=480)
+dt = 300
+
+# Dissipation time for grad(div) : real (default=5000)
+tau_graddiv = 10800
+
+# Exponent of grad(div) disspation : integer (default=1)
+nitergdiv = 2
+
+# Dissipation time for curl(curl) : real (default=5000)
+tau_gradrot = 10800
+
+# Exponent of curl(curl) disspation : integer (default=1)
+nitergrot = 2
+
+# Dissipation time for div(grad) : real (default=5000)
+tau_divgrad = 10800
+
+# Exponent of div(grad) disspation : integer (default=1)
+niterdivgrad = 2
+
+
+#---------------- Time ----------------
+
+# Run length in s : real (default=??)
+run_length = 864000
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 7200
+
+
+#---------------- Physical parameters ----------------
+
+# Number of tracers : integer (default=1)
+nqtot = 1
+
+# Initial state : 
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = dcmip5
+
+# Physics package : [none|held_suarez|dcmip] (default=none)
+physics = dcmip
+
+# DCMIP physics : [0|1] (default=1)
+dcmip_physics = 0
+
+# Call physics every itau_physics time steps : integer (default=1)
+itau_physics = 6
+
Index: codes/icosagcm/trunk/param_sets/make_rundefs.sh
===================================================================
--- codes/icosagcm/trunk/param_sets/make_rundefs.sh	(revision 283)
+++ codes/icosagcm/trunk/param_sets/make_rundefs.sh	(revision 284)
@@ -79,5 +79,5 @@
 
 function etat0 { 
-    OPTS=$(printf '\n#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear|dcmip3]')
+    OPTS=$(printf '\n#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear]')
     print 'Initial state' "$OPTS" jablonowsky06 etat0 $1
 }
@@ -91,4 +91,24 @@
     print 'Exponent of div(grad) disspation' integer 1 niterdivgrad $6
 }
+# Standard dissipation values for a few nbp
+function dissip32() { dissip 21600 2 50000 2 50000 2
+}
+function dissip40() { dissip 18000 2 18000 2 18000 2
+}
+function dissip64() { dissip 10800 2 10800 2 10800 2
+}
+function dissip80() { dissip 9000 2 9000 2 9000 2
+}
+
+
+function guided_type { print 'Type of guiding terms' '[none|dcmip1]' none guided_type $1 
+}
+
+function rayleigh_friction_type { print 'Type of Rayleigh friction' '[none|dcmip21]' none rayleigh_friction_type $1 
+}
+
+function rayleigh_friction_tau { print 'Relaxation time for Rayleigh friction' '0' none rayleigh_friction_tau $1 
+}
+
 function guided_type { print 'Type of guiding terms' '[none|dcmip1]' none guided_type $1 
 }
@@ -158,5 +178,5 @@
     group 'Planet' radius 6.371e6 g 9.8 omega 7.292e-5 kappa 0.2857143 cpp 1004 preff 1e5
     group 'Physical parameters' etat0 held_suarez physics held_suarez
-    dissip 50000 2 50000 2 50000 2
+    dissip40
 }
 
@@ -169,5 +189,5 @@
 function dcmip11
 {
-    echo 'INCLUDEDEF = const.def'
+    const_dcmip 0
     group 'Mesh' nbp 80 llm 60 disvert ncar ncar_dz 200 optim_it 100 ; split 2 2
     group 'Numerics' caldyn adv time_step 180
@@ -176,23 +196,42 @@
 }
 
+function dcmip20
+{
+    const_dcmip 0 # non-rotating
+    group 'Mesh' nbp 64 llm 15 disvert ncar ncar_dz 800 optim_it 100 ; split 2 2
+    group 'Numerics' time_step 300
+    dissip64
+    group 'Time' run_length 518400 write_period 21600
+    group 'Physical parameters' scale_factor 1 etat0 dcmip2_mountain
+}
+
 function dcmip21
 {
-    echo 'INCLUDEDEF = const.def'
+# small planet : we define the unscaled time as T and the scaled time is T/X
+# time.f90 divides times and lengths scales by scale factor X
+# the DCMIP document uses the words "scaled" and "unscaled" ambiguously
+# at p.3 the "rescaled radius" is a/X
+# in the description of experiment 2.1 (p. 32) "T in unscaled time units" means T/X 
+# and "T in scaled times units" means T
+# I understand the document as tau_rayleigh/X=25s
+    const_dcmip 0 # non-rotating
     group 'Mesh' nbp 64 llm 60 disvert ncar ncar_dz 500 optim_it 100 ; split 2 2
     group 'Numerics' time_step 300
-    dissip 1800 1 1800 2 1800 2
+    dissip64
     group 'Time' run_length 3.6e6 write_period 50000
-    group 'Physical parameters' scale_factor 500 guided_type dcmip1 etat0 dcmip2_schaer_noshear
+    group 'Physical parameters' scale_factor 500  etat0 dcmip2_schaer_noshear rayleigh_friction_tau 12500 rayleigh_friction_type dcmip2_schaer_noshear
 }
 
 function dcmip3
 {
-    const_dcmip 0
+    const_dcmip 0 # non-rotating
     group 'Mesh' nbp 80 llm 10 disvert ncar ncar_dz 1000 optim_it 100 ; split 2 2
     group 'Numerics' time_step 240
-    dissip 1800 1 1800 2 1800 2
+    dissip80
     group 'Time' run_length 4.5e5 write_period 12500
-    group 'Physical parameters' omega 0 scale_factor 125 etat0 dcmip3
-}
+    group 'Physical parameters' scale_factor 125 etat0 dcmip3
+}
+
+# Next DCMIP test cases have rotation
 
 function dcmip4x
@@ -201,5 +240,5 @@
     group 'Mesh' nbp 80 llm 30 disvert ncarl30 optim_it 100 ; split 2 2
     group 'Numerics' time_step 240
-    dissip 1800 1 1800 2 1800 2
+    dissip80
     group 'Time' run_length 3.6e6 write_period 21600
     group 'Physical parameters' nqtot 2 etat0 dcmip4 dcmip4_testcase $1
@@ -217,5 +256,5 @@
     group 'Mesh' nbp 64 llm 30 disvert ncarl30 optim_it 1000 ; split 2 2
     group 'Numerics' time_step 300
-    dissip 10800 1 10800 2 10800 2
+    dissip64
     group 'Time' run_length 864000 write_period 7200
     group 'Physical parameters' nqtot 1 etat0 dcmip5 dcmip_physics 0 itau_physics 6
@@ -239,6 +278,7 @@
 const_dcmip 7.292e-5 > const.def
 dcmip11 > run11.def
+dcmip20 > run20.def
 dcmip21 > run21.def
-dcmip3 > run3.def
+dcmip3  > run3.def
 dcmip4x 1 > run41.def
 dcmip42 > run42.def
Index: codes/icosagcm/trunk/param_sets/shallow_water/williamson91/run6.def
===================================================================
--- codes/icosagcm/trunk/param_sets/shallow_water/williamson91/run6.def	(revision 284)
+++ codes/icosagcm/trunk/param_sets/shallow_water/williamson91/run6.def	(revision 284)
@@ -0,0 +1,74 @@
+
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 40
+
+# Number of vertical layers : integer (default=19)
+llm = 1
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 100
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 2
+nsplit_j = 2
+
+
+#---------------- Numerics ----------------
+
+# Time step in s : real (default=480)
+dt = 480
+
+# Discretization of Coriolis term : [energy|enstophy] (default=energy)
+caldyn_conserv = enstrophy
+
+
+#---------------- Time and output ----------------
+
+# Pressure level to which interpolate T : real (default=0)
+out_pression_level = 85000
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 21600
+
+# Run length in s : real (default=??)
+run_length = 864000
+
+
+#---------------- Physical parameters ----------------
+
+# Planetary radius : real (default=6371220)
+radius = 6.37122e6
+
+# Gravity : real (default=9.80616)
+g = 9.80616
+
+# Vertical coordinate : [eta_mass|eta_lag] (default=mass)
+caldyn_eta = eta_lag
+
+# Boussinesq approximation, requires eta_lag : [.FALSE.|.TRUE.] (default=.FALSE.)
+boussinesq = .TRUE.
+
+# Initial state : 
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = williamson91.6
+
+# Dissipation time for grad(div) : real (default=5000)
+tau_graddiv = 5000
+
+# Exponent of grad(div) disspation : integer (default=1)
+nitergdiv = 2
+
+# Dissipation time for curl(curl) : real (default=5000)
+tau_gradrot = 5000
+
+# Exponent of curl(curl) disspation : integer (default=1)
+nitergrot = 2
+
+# Dissipation time for div(grad) : real (default=5000)
+tau_divgrad = 5000
+
+# Exponent of div(grad) disspation : integer (default=1)
+niterdivgrad = 2
+